#include <ComboConstants.au3>
#include <EditConstants.au3>
#include <TreeViewRCH.au3>

Local $Form1 = GUICreate('Form1', 700, 588, -1, -1)
Local $TreeView1 = GUICtrlCreateTreeView(16, 16, 281, 505, BitOR($TVS_HASBUTTONS, $TVS_EDITLABELS, $TVS_HASLINES, $TVS_LINESATROOT, $TVS_DISABLEDRAGDROP, $TVS_SHOWSELALWAYS))
Local $Combo1 = GUICtrlCreateCombo('', 336, 16, 145, 25, BitOR($CBS_DROPDOWN, $CBS_AUTOHSCROLL))
GUICtrlSetData(-1, '0  |1  |2  |3  |4  ', '0  ')
Local $Button1 = GUICtrlCreateButton('', 490, 16, 75, 25)
Local $Button2 = GUICtrlCreateButton('', 344, 112, 75, 25)
Local $Button3 = GUICtrlCreateButton('', 344, 160, 75, 25)
Local $Button4 = GUICtrlCreateButton('  ', 344, 200, 150, 25)
Local $Button5 = GUICtrlCreateButton('', 344, 248, 75, 25)
Local $Button6 = GUICtrlCreateButton(' ', 344, 296, 75, 25)
Local $Button8 = GUICtrlCreateButton(' ', 344, 344, 100, 25)
Local $Button14 = GUICtrlCreateButton(' ', 500, 344, 100, 25)
Local $Button9 = GUICtrlCreateButton('  ', 344, 388, 120, 25)
Local $Button10 = GUICtrlCreateButton(' TreeView', 344, 432, 120, 25)
Local $Button11 = GUICtrlCreateButton(' ', 344, 480, 120, 25)
Local $Button12 = GUICtrlCreateButton(' ', 344, 524, 120, 25)
Local $Button13 = GUICtrlCreateButton(' ', 500, 248, 120, 25)
Local $iDummyS = GUICtrlCreateDummy()
Local $iDummyE = GUICtrlCreateDummy()
Local $iDummyD = GUICtrlCreateDummy()
Local $AccelKeys[3][2] = [['{Enter}', $iDummyS], ['^{Enter}', $iDummyE], ['{DEL}', $iDummyD]]
GUISetAccelerators($AccelKeys)
GUISetState()

Local $path = @ScriptDir
Local $aIco[4] = [$path & '\chk.ico', $path & '\unchk.ico', $path & '\rd.ico', $path & '\unrd.ico']
Local $SaveTVini = $path & '\ExTV.ini'
ConsoleWrite($SaveTVini&@LF)
_GUITreeViewEx_InitTV($TreeView1)
_GUITreeViewEx_TvImg($TreeView1, $aIco)


While 1
	Switch GUIGetMsg()
		Case $GUI_EVENT_CLOSE
			Exit
		Case $Button1
			_GUITreeViewEx_CreateItem($TreeView1,' ' & Random(12, 1000000000, 1), Number(GUICtrlRead($Combo1)))
		Case $Button2
			_GUITreeViewEx_LoadTV($TreeView1,$SaveTVini, 'TreeView', 'DataTV')
		Case $Button3
			Local $ret = _GUITreeViewEx_SaveTV($TreeView1, $SaveTVini, 'TreeView', 'DataTV')
			ConsoleWrite($ret & ' - ' & @error)
		Case $Button4
			Local $gettv = _GUITreeViewEx_SaveTV($TreeView1)
			_ArrayDisplay($gettv)
		Case $Button5
			Local $getdata = _GUITreeViewEx_GetItemData($TreeView1, 0, 1)
			ConsoleWrite(@error)
			_ArrayDisplay($getdata)
		Case $Button6
			_GUITreeViewEx_ChooseOnlyOne($TreeView1)
		Case $iDummyE
			_EditTextTV($TreeView1)
		Case $iDummyS
			_TextEndTV($TreeView1)
		Case $Button8, $iDummyD
			_GUITreeViewEx_DeleteItem($TreeView1)
		Case $Button9
			_GUITreeViewEx_Delete($TreeView1,1)
		Case $Button10
			_GUITreeViewEx_Delete($TreeView1,0)
		Case $Button11
			_GUITreeViewEx_UnCheckAll($TreeView1)
		Case $Button12
			_ReactchangeCHK()
		Case $Button13
			_GUITreeViewEx_SetItemData($TreeView1,$aIco); $aIco   
		Case $Button14
			_GUITreeViewEx_DelItemData($TreeView1)
	EndSwitch
WEnd
